<?php

namespace Modules\Notice\Http\Livewire;

use Livewire\Component;

use Modules\Notice\Models\Notice;
use Modules\Chat\Models\ChatMessageRead;

class UserNoticesButton extends Component
{
    public function render()
    {
        $currentDate = date("Y-m-d");
        $startDate = date("Y-m-d", strtotime($currentDate . " -2 months"));

        return view('notice::user-notices-button', [
            'unreadedCount' =>
                auth()->user()->unreadNotifications
                    ->count()
        ]);
    }
}
